RKRESIZE(3)

NAME
RkResize - change the reading length of the current clause to len bytes

SYNOPSIS
#include <canna/RK.h>
int RkResize(cxnum, len)
int cxnum;
int len;

DESCRIPTION
RkResize changes the reading length of the current clause to len bytes and reconverts the right part of the current clause. The value of len must be adjusted to character boundaries in the EUC code. The analysis result of the reconverted clause is destroyed because of the reading length change, but the analysis result of any other clause does not change. The current clause does not change either.

RETURN VALUE
This function returns the number of clauses after the change.